package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.PlatformCoupon;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface PlatformCouponMapper extends BaseMapper<PlatformCoupon> {

    /**
     * 查询所有数据
     *
     * @param platformCoupon
     * @return
     */
    List<PlatformCoupon> queryAll(PlatformCoupon platformCoupon);

    int audit(PlatformCoupon platformCoupon);

    /**
     * 增量
     * @param platformCoupon
     * @return
     */
    boolean incremental(PlatformCoupon platformCoupon);

    int invalid(PlatformCoupon platformCoupon);
}
